@import './element.css';
@import './reset.min.css';
@import './element_plus.css';

[v-cloak] {
  display: none;
}


/* 提示框 */
.DkMessage {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  padding: 10px 20px;
  border-radius: 4px;
  font-size: 14px;
  z-index: 9999999;
}

.DkMessage.success {
  background: #edf8e6;
  color: #58ba2d;
  border: 1px solid #dbf1d0;
}

.DkMessage.error {
  background: #fdecec;
  color: #f05459;
  border: 1px solid #fcdadb;
}

.DkMessage.info {
  background: #f1f1f2;
  color: #7e8087;
  border: 1px solid #e5e4e7;
}

.DkMessage.warning {
  background: #fcf4e7;
  color: #de912f;
  border: 1px solid #f8e8cf;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.two-ellipsis {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}
.three-ellipsis {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
}


/* 蒙层 */
.popup-box {
  position: fixed;
  z-index: 121;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
}
/* 中 */
.info-center {
  position: fixed;
  z-index: 999;
  background-color: #fff;
  background-image: url('https://api.1wyou.com/theme/weimg/modal-dialog-bg.png');
  background-size: 100%;
  background-repeat: no-repeat;
  border-radius: 30px;
  width: 510px;
  margin-left: calc(50vw - 250px);
  padding: 20px 16px;
  box-sizing: border-box;
  top: 30%;
}
.info-center .title {
  width: 100%;
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  text-align: center;
  color: #333333;
}
.info-center .content {
  font-size: 16px;
  line-height: 24px;
  color: #333333;
  width: 100%;
  margin: 16px 0 32px;
  max-height: 500px;
  overflow: auto;
}
.info-center .footer {
  display: flex;
  justify-content: space-around;
}
.info-center .footer .btn {
  height: 36px;
  border-radius: 4px;
  text-align: center;
  line-height: 36px;
}
.info-center .footer .cancel {
  border: 1px solid rgba(0, 0, 0, 0.06);
  font-size: 14px;
  color: #333333;
  flex: 1;
  cursor: pointer;
}
.info-center .footer .confirm {
  flex: 1;
  background: #17B4B5;
  font-size: 14px;
  color: #FFFFFF;
  cursor: pointer;
}


.hovertext:hover {
  color: #17B4B5!important;
}